Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1409578 - [RFE] update hawkular to the latest version
Summary: [RFE] update hawkular to the latest version
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Matt Wringe
QA Contact: Peng Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 14:08 UTC by Alexander Koksharov
Modified: 2020-02-14 18:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-04 15:52:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alexander Koksharov 2017-01-02 14:08:40 UTC
Description of problem:

Customer's issue:
"we want to build some "grafana" dashboards. But with hawkular version lower than 0.20.0 there ist no way to query data by tag option. So in Openshift the lifetime of a pod is sometimes very short and hawkular saves a lot of data at pod id level. So when you access from grafana site to hawkluar you get a long. long list with pod id's ... this is not practical. To control this behavior in grafana you can use querys by tag .... but the required version of hawkular to do this >= 0.20.0."

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Matt Wringe 2017-01-04 15:52:11 UTC
We normally do not update the version of components for an already released version of OCP.

You will need to wait for the next OCP release which should have a more recent Hawkular Metrics version.


Note You need to log in before you can comment on or make changes to this bug.